DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Mirror

Mirrors an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_Mirror ( in, out, mirror )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function mirrors the pixels in those dimensions of image as specified by `mirror`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_BooleanArray` | `mirror` | Mirror flags

## SEE ALSO

`Map`

DIPlib on-line documentation | Function reference | Global function index